@charset "utf-8";

* {
    margin: 0;
    padding: 0;
}

html,
body {
    height: 100%;
    margin: 0;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    margin: 0;
    padding: 0;
}

:root {
    --font_base: 12;
}

@media screen and (min-width: 960px) {
    :root {
        --font_base: 16;
    }
}

.wrapper {
    min-height: 100%;
    display: flex;
    flex-direction: column;
}

main {
    flex: 1;
}

body {
    margin: 0;
    padding: 0;
    color: black;
    background: #F0FFFF !important;
    font-size: calc(var(--font_base) * 1px);
    font-family: sans-serif;
}

.menu_bar {
    width: 100vw;
    height: 50px;
    position: fixed;
    display: flex;
    top: 0px;
    left: 0px;
    background: #FF88FF;
    z-index: 10;
}

#toggleButton {
    display: none;
    position: fixed;
    top: 25px;
    left: 100px;
}

.button {
    position: fixed;
    top: 5px;
    left: 5px;
    border: none;
    cursor: pointer;
}

.button img {
    width: 40px;
    max-width: 40px;
    height: 40px;
    position: absolute;
    top: 0px;
    left: 0px;
}

.button span {
    position: absolute;
    font-size: calc(var(--font_base) * 2px);
    top: calc(((50 - var(--font_base) * 2) / 2 - var(--font_base) / 2 - 5) * 1px);
    left: 45px;
    font-weight: bold;
    color: #00FFFF;
}

.logo img {
    width: 167.5px;
    height: 43px;
    position: absolute;
    top: 3px;
    right: 5px;
}

.back {
    display: block;
    position: fixed;
    top: 0px;
    left: -100vw;
    width: 100vw;
    height: 100vh;
    background: rgb(255 128 255 / 0.8);
    cursor: pointer;
}

#toggleButton:checked~.back {
    left: 0px;
    background: rgb(255 128 255 / 0.8);
    transition: left 0s, background 0.5s;
}

#toggleButton~.back {
    left: -100vw;
    background: rgb(255 128 255 / 0);
    transition: left 0s 0.5s, background 0.5s;
}

nav {
    display: block;
    position: fixed;
    width: 15em;
    top: 50px;
    left: -420px;
    bottom: 0px;
    font-size: 125%;
    color: white;
    background: #F0FFFF;
    padding: 1em 0px 0px 0.5em;
    /* overflow-x: hidden;
    overflow-y: auto; */
    transition: all .5s, left .5s;
}

nav a {
    text-decoration: none;
}

nav li {
    list-style-type: none;
    margin: 0px;
}

nav ul {
    margin: 0px;
}

#toggleButton:checked~nav {
    left: 0px;
    transition: left 0.5s;
}

#toggleButton~nav {
    left: -420px;
    transition: left 0.5s;
}

.top_header {
    text-align: center;
    margin: 0.5rem 0px;
}

h1 {
    font-size: calc(var(--font_base) * 2px);
    font-weight: bold;
    color: #FF6666;
}

h2 {
    font-size: calc(var(--font_base) * 1.5px);
    color: #666666;
    text-align: center;
}

h3 {
    font-size: calc(var(--font_base) * 1.4px);
    color: #666666;
    margin-top: 0.3em;
    margin-left: 55px;
    position: absolute;
    top: 0px;
    left: 0px;
}

h4 {
    font-size: calc(var(--font_base) * 1.4px);
    color: #666666;
    margin-top: 1.2em;
    margin-left: 55px;
    position: absolute;
    top: 0px;
    left: 0px;
}

footer {
    background: #FFFFEE;
    font-size: 0.6rem;
}

.footer_block {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-bottom: 1em;
}

.footer_block>div {
    display: flex;
    flex-direction: column;
    margin: 0.5rem 0px 0px 0.5rem;
}

.footer_sub {
    margin-left: 1em;
}

footer a {
    text-decoration: none;
}

.copyright {
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media screen and (min-width: 960px) {
    h3 {
        margin-top: 0em;
        margin-left: 60px;
    }

    h4 {
        margin-top: 0.7em;
        margin-left: 60px;
    }

    footer {
        font-size: 0.75rem;
    }

    .footer_block {
        width: 960px;
        margin: 0px auto 1em auto;
    }
}

.top_header_sub {
    width: 100vw;
    height: 64px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #FFF0FF;
}

.top_sub_candy {
    position: relative;
    left: 10px;
    top: -52px;
}

.top_sub_candy img {
    height: 40px;
}

.top_sub_image {
    position: relative;
    left: calc(100vw - 142px);
    top: -62px;
}

.top_sub_image img {
    height: 60px;
}

img {
    vertical-align: top;
}

main {
    display: block;
    padding-top: 50px;
}

.top_image img {
    width: 100vw;
}

.top_main {
    width: 100vw;
}

.top_text {
    margin: -52px 0.5rem 0.5rem 0.5rem;
}

.top_main ul li div {
    margin-left: 1em;
}

.top_main ul {
    list-style-type: none;
}

.top_main li img {
    width: 16px;
    height: 16px;
}

.top_main li:not(:last-child) {
    margin-bottom: 1em;
}

@media screen and (min-width: 960px) {
    .top_main {
        width: 960px;
        margin: 0 auto;
    }

    .top_header_sub {
        width: 960px;
        height: 64px;
    }

    .top_sub_image {
        left: calc(960px - 142px);
        top: -62px;
    }
}

.menu_text {
    display: flex;
    flex-direction: column;
    width: 90%;
    margin: 0 auto;
}

.content_link {
    width: 75%;
    margin: 0px auto 2em auto;
    padding: 1em;
    background: #FFFFF0;
}

.button_set {
    display: flex;
    flex-direction: column;
    margin: 1rem auto;
}

.button_set>div {
    display: flex;
    justify-content: center;
    text-align: center;
    width: 75vw;
    margin: 0 auto;
}

.button_radius {
    webkit-appearance: none;
    display: inline-block;
    padding: 7px 20px;
    border-radius: 25px;
    font-weight: bold;
    text-decoration: none;
    text-align: center;
    color: #217166;
    background-image: linear-gradient(45deg, #D0FFFF 0%, #A0FFFF 100%);
    transition: .4s;
    width: 100%;
}

.button_note {
    font-size: 75%;
}

@media screen and (min-width: 960px) {
    .button_set>div {
        width: 720px;
    }

    .menu_text {
        display: flex;
        width: 960px;
        margin: 0 auto;
    }
}

.overview {
    font-weight: bold;
    text-align: center;
}

.overview_list {
    margin-left: 1em;
}

.greeting_top {
    display: flex;
    width: 96vw;
    margin: 0 auto 1em auto;
}

.greeting_top_text {
    padding-left: 0.25em;
}

.greeting_top_image img {
    width: 60vw;
}

.greeting_top_image {
    border: #FF88FF solid 4px;
}

.greeting_header_sub {
    width: 100vw;
    height: 64px;
    position: relative;
    /* display: flex;
    justify-content: left;
    align-items: center; */
    background: #FFF6FF;
}

.greeting_sub_candy {
    position: absolute;
    left: 10px;
    top: 10px;
}

.greeting_sub_candy img {
    height: 40px;
}

.greeting {
    width: 96vw;
    margin: 0 auto;
    padding: 0.5rem;
}

.greeting_box {
    display: flex;
    margin: 0.5rem 0px;
}

.greeting_box>div {
    display: inline;
}

.greeting_box img {
    box-shadow: 0px 0px 6px 6px #AAAAAA;
    margin-bottom: 0.5rem;
}

.greeting p {
    text-indent: 1em;
    margin-bottom: 0.5rem;
}

.greeting_h img {
    width: 50vw;
    height: 37.5vw;
}

.greeting_h {
    width: 50vw;
    height: calc(37.5vw + 0.75rem);
}

.greeting_v img {
    width: 37.5vw;
    height: 50vw;
}

.greeting_v {
    width: 37.5vw;
    height: calc(50vw + 0.75rem);
}

.greeting_h,
.greeting_v {
    display: flex;
    flex-direction: column;
    padding: 1rem;
    background: #FFFFEE;
}

.greeting_h span,
.greeting_v span {
    font-size: 0.75em;
    margin-top: 0.25rem;
}

.figure_right {
    float: right;
    text-align: center;
    margin-left: 0.5rem;
}

.figure_left {
    float: left;
    text-align: center;
    margin-right: 0.5rem;
}

.greeting_space {
    margin-bottom: 1rem;
}

@media screen and (min-width: 960px) {
    .greeting_top {
        width: 960px;
    }

    .greeting_top_image img {
        width: 600px;
    }

    .greeting_header_sub {
        width: 960px;
        height: 64px;
    }

    .greeting_box {
        display: flex;
        margin: 1rem 0px;
    }

    .greeting {
        width: 960px;
        margin: 0 auto;
        padding: 0.5rem;
    }

    .greeting p {
        text-indent: 1em;
        margin-bottom: 1rem;
    }

    .greeting_h img {
        width: 500px;
        height: 375px;
    }

    .greeting_h {
        width: 500px;
        height: calc((375 + var(--font_base) * 2) * 1px);
    }

    .greeting_h span,
    .greeting_v span {
        font-size: 0.75em;
        margin-top: 0.75rem;
    }

    .greeting_v img {
        width: 375px;
        height: 500px;
    }

    .greeting_v {
        width: 375px;
        height: calc((500 + var(--font_base) * 2) * 1px);
    }
}

.content_text {
    background: #CEEEFF;
    padding: 1em;
    margin: 1em 2em 2em 2em;
    border: 0px sold #99CC00;
    border-radius: 10px;
    word-break: break-all;
}

.content_text_header {
    font-weight: bold;
    color: red;
    margin-bottom: 1em;
}

.content_with_photo {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.content_photo img {
    width: 80vw;
    height: 80vw;
    margin-bottom: 1rem;
}

.content_link {
    width: 75%;
    margin: 0px auto 2em auto;
    padding: 1em;
    background: #FFFFF0;
}

.content_jump {
    content: '';
    display: block;
    padding-top: calc(50px + 2rem);
    margin-top: calc(-50px - 2rem);
}

.content_jump_q {
    content: '';
    display: block;
    padding-top: calc(50px + 1rem);
    margin-top: calc(-50px - 1rem);
}

@media screen and (min-width: 960px) {
    .content_with_photo {
        display: flex;
        flex-direction: row;
        align-items: start;
    }

    .content_photo img {
        width: 20vw;
        height: 20vw;
        margin: 1rem 0px;
    }
}

.faq_area {
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-top: 1em;
}

.faq_question {
    width: 75%;
    background: #CEEEFF;
    padding: 1em;
    margin: 0px auto 1em 2em;
    border: 0px solid #99CC00;
    border-radius: 10px;
    word-break: break-all;
}

.faq_answer {
    text-align: left;
    width: 75%;
    background: white;
    padding: 1em;
    margin-left: auto;
    margin: 0px 2em 2em auto;
    border: 0px solid #99CC00;
    border-radius: 10px;
    word-break: break-all;
}

/* @media screen and (min-width: 960px) {
    .content_link {
        width: 40%;
    }
} */

.voice_contents {
    width: 380px;
    display: flex;
    flex-direction: column;
    margin: 0px auto 1em auto;
}

.voice_profile {
    width: 380px;
    box-sizing: border-box;
    border: 1px solid #FF88FF;
}

.voice_line {
    width: 378px;
    display: flex;
    flex-direction: row;
    /* box-sizing: border-box;
    border: 1px solid #FF88FF; */
}

.voice_title {
    width: 108px;
    background: #FFF0FF;
    box-sizing: border-box;
    border: 1px solid #FF88FF;
    padding: 0.5em;
}

.voice_data {
    width: 270px;
    background: #F0FFF0;
    box-sizing: border-box;
    border: 1px solid #FF88FF;
    padding: 0.5em;
}

.voice_item {
    width: 100%;
    display: flex;
    flex-direction: row;
}

.voice_photo {
    width: 110px;
    display: flex;
    /* background: #FFF0FF; */
    /* box-sizing: border-box;
    border-top: 1px solid #FF88FF;
    border-right: 1px solid #FF88FF; */
}

.voice_photo img {
    width: 100px;
    height: 100px;
    border: 4px solid red;
    border-radius: 50%;
}

.voice_comment {
    width: 268px;
    background: #F0FFF0;
    border: 2px solid #FF88FF;
    border-top: 0px;
    padding: 0.5em;
}

@media screen and (min-width: 960px) {

    .voice_contents,
    .voice_profile {
        width: 960px;
    }

    .voice_line {
        width: 958px;
    }

    .voice_title {
        width: 208px;
    }

    .voice_data,
    .voice_comment {
        width: 750px;
    }

    .voice_photo {
        width: 213px;
    }

    .voice_photo img {
        width: 200px;
        height: 200px;
    }
}

.privacy_link_header>a {
    font-weight: bold;
    text-decoration-color: currentColor;
    color: red;
}

.privacy_text {
    padding: 0px 1em;
    margin-bottom: 1em;
}

.privacy_text_header {
    font-weight: bold;
    color: red;
}

.privacy_list {
    list-style-type: disc !important;
    margin: 0px 2em 0px 2em;
}

.privacy_list>li {
    margin: 0px !important;
}

.privacy_display {
    margin: 0px 1em 0px 1.5em;
}

.privacy_display>li {
    font-weight: bold;
    color: red;
    margin: 0px !important;
}

.classroom {
    width: 100vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: 0 auto 1em auto;
    /* padding: 0.5rem; */
}

.classroom h2 {
    width: auto;
    margin: 0 auto;
}

.classroom_box {
    width: auto;
    height: auto;
    margin: 1em;
    background: #FFFFEE;
}

.classroom_title {
    padding: 0.5rem 1rem;
}

.classroom_content,
.classroom_with_header {
    background: #FFF0FF;
    border: solid 1px #FFAAFF;
    margin: 0px;
    padding: 0px 0.5rem;
    overflow-wrap: break-word;
}

.classroom_content p:nth-child(even) {
    background: white;
    margin: 0 -0.5rem;
    padding: 0 0.5rem;
}

.classroom_with_header p:nth-child(odd) {
    background: white;
    margin: 0 -0.5rem;
    padding: 0 0.5rem;
}

.classroom_content_header {
    background: #F0FFF0;
    margin: 0 -0.5rem;
    padding: 0 0.5rem;
    text-align: center;
}

@media screen and (min-width: 960px) {
    .classroom {
        width: 960px;
        /* margin: 0 auto; */
        /* padding: 0.5rem; */
    }
}

.youtube {
    width: 94vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    border: 2px solid #FF88FF;
    font-size: 1rem;
    color: red;
    margin: 1rem auto;
}

.youtube_text {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0.25rem 0px;
    background: #FFEEFF;
}

.youtube_link {
    background: white;

}

.youtube_thumbnail {
    padding: 0.5rem;
}

.youtube_thumbnail img {
    width: 100%;
}

@media screen and (min-width: 960px) {
    .youtube {
        width: 960px;
        font-size: 1.5rem;
    }

    .youtube_text {
        padding: 0.5rem 0px;
    }

    .youtube_thumbnail {
        padding: 1rem;
    }
}

.flash {
    display: flex;
    flex-direction: column;
    margin-bottom: 1rem;
}

.flash_swf {
    margin: 0 auto 1rem auto;
}

.flash_box {
    width: 94vw;
    display: flex;
    flex-direction: column;
    border: 2px solid #FF88FF;
    margin: 0 auto;
}

.flash_image {
    width: 100%;
    background: white;
}

.flash_image>div {
    width: 80vw;
    margin: 1rem auto;
}

.flash_image img {
    width: 100%;
    border: 2px solid lightgray;
}

.flash_comment {
    width: 100%;
    background: #FFEEFF;
}

.flash_comment>div {
    margin: 0.5em;
}

.flash_book {
    width: 100%;
    background: white;
}

.flash_book>div {
    width: 77vw;
    margin: 1rem auto;
}

.flash_book img {
    width: 100%;
    border: 2px solid lightgray;
}

@media screen and (min-width: 960px) {
    .flash_box {
        width: 960px;
    }

    .flash_image>div {
        width: 760px;
    }

    .flash_book>div {
        width: 740px;
    }
}

.works {
    width: 96vw;
    display: flex;
    flex-direction: column;
    align-items: center;
    border: 2px solid #FF88FF;
    margin: 1rem auto;
}

.works_title {
    width: 100%;
    display: flex;
    font-size: 1rem;
    color: red;
    background: #FFEEFF;
}

.works_title>div {
    margin: 0.5em auto;
    text-align: center;
}

.works_video {
    padding: 0.5em;
}

.works_video>video {
    min-width: 100%;
    min-height: 100%;
}

.works_comment {
    width: 100%;
    text-align: left;
    background: #FFEEFF;
}

.works_comment>div {
    margin: 0.5em;
}

@media screen and (min-width: 960px) {
    .works {
        width: 960px;
    }

    .works_title {
        font-size: 1.5rem;
    }
}